Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:2.2.0 Regression?:

Operating System: Windows 7 Easy fix?:

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 19034

Description

I discovered that union crashes when the 2 layers have the same field name and this name takes this form : "fhjkf_x" (where x is a letter).

There is also a problem with a field name that end with a number ("jksjfj_i" where i is a number): union works but the field name in the

output layer is truncated.

Here some examples to better understand the problem and 2 test layers:

Example 1:

layer A fields : ID, WIDTH_M

layer B fields : ID, WIDTH_M

Union of A and B crashes

Example 2:

layer A fields : ID, WIDTH

layer B fields : ID, WIDTH

Union of A and B OK.

Union layer fields : ID, WIDTH, ID_2, WIDTH_2

Example 3:

layer A fields : ID, WIDTH_ME

layer B fields : ID, WIDTH_ME

Union of A and B OK

Union layer fields : ID, WIDTH_ME, ID_2, WIDTH_ME_2

Example 4:

layer A fields : ID, WIDTH_1

layer B fields : ID, WIDTH_1

Union of A and B OK

But union layer fields : ID, WIDTH_1, ID_2, 12

History

#1 - 2014-06-19 03:37 AM - Giovanni Manghi

- Status changed from Open to Feedback

It seems ok on QGIS master, please test and report back. Thanks.

#2 - 2014-06-19 09:37 AM - Marie Silvestre
Giovanni Manghi wrote:

It seems ok on QGIS master, please test and report back. Thanks.

Indeed, it's working on QGIS 2.3!

Thanks

#3 - 2014-06-19 09:39 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

#4 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.

Files

test_layers.zip 3.38 KB 2014-06-18 Marie Silvestre
